Locations API

The Locations API is for administering Location records in Skills Base which includes adding, retrieving, updating and deleting records.

Endpoint

/1.0/locations

Objects used by this API

Name

Data type

Read only

Description

id

integer

Yes

The unique identifier for the record, used to reference the record in other API interactions.

name

string

No

Location name

longitude

float

No

Longitude coordinate

latitude

float

No

Latitude coordinate

Methods

GET /locations

Returns all Locations in the instance.

GET /locations/:id

Returns a Location matching the given id

POST /locations/search

Searches Location records. See Search APIs for a description of search functionality.

The available search parameters are:

Name

Arrays

Wildcards

id

Yes

No

name

No

Yes

POST /locations

Creates a new Location record.

The following parameters can be POSTed

Name

Required

name

Yes

longitude

Yes

latitude

Yes

PUT /locations/:id

Updates an existing Location record.

The following fields can be updated:

Name

name

longitude

latitude

DELETE /locations/:id

Deletes a Location